package com.shigongli.mapper;

import com.shigongli.entity.TaPerson;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 人员表 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2020-12-11
 */
@Mapper
public interface TaPersonMapper extends BaseMapper<TaPerson> {

    TaPerson getByOpenId(@Param("openid") String openid);

    List<TaPerson> getCheckoutListBy(@Param("dateStr") String dateStr);
}
