package com.shigongli.mapper;

import com.shigongli.entity.TaShopKeeper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 店主 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2020-12-11
 */
@Mapper
public interface TaShopKeeperMapper extends BaseMapper<TaShopKeeper> {

    List<TaShopKeeper> getByHouse(@Param("houseId") String houseId);
}
